# Form implementation generated from reading ui file 'src/eric7/MicroPython/MicroPythonProgressInfoDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MicroPythonProgressInfoDialog(object):
    def setupUi(self, MicroPythonProgressInfoDialog):
        MicroPythonProgressInfoDialog.setObjectName("MicroPythonProgressInfoDialog")
        MicroPythonProgressInfoDialog.resize(500, 400)
        MicroPythonProgressInfoDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(MicroPythonProgressInfoDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.progressEdit = QtWidgets.QPlainTextEdit(parent=MicroPythonProgressInfoDialog)
        self.progressEdit.setTabChangesFocus(True)
        self.progressEdit.setLineWrapMode(QtWidgets.QPlainTextEdit.LineWrapMode.NoWrap)
        self.progressEdit.setReadOnly(True)
        self.progressEdit.setTextInteractionFlags(QtCore.Qt.TextInteractionFlag.TextSelectableByKeyboard|QtCore.Qt.TextInteractionFlag.TextSelectableByMouse)
        self.progressEdit.setObjectName("progressEdit")
        self.verticalLayout.addWidget(self.progressEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=MicroPythonProgressInfoDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(MicroPythonProgressInfoDialog)
        self.buttonBox.accepted.connect(MicroPythonProgressInfoDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(MicroPythonProgressInfoDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MicroPythonProgressInfoDialog)

    def retranslateUi(self, MicroPythonProgressInfoDialog):
        _translate = QtCore.QCoreApplication.translate
        MicroPythonProgressInfoDialog.setWindowTitle(_translate("MicroPythonProgressInfoDialog", "Progress Information"))
